---
title: get-global-configs
product: vercel
url: /docs/rest-api/sdk/global-config/get-global-configs
canonical_url: "https://vercel.com/docs/rest-api/sdk/global-config/get-global-configs"
last_updated: 2026-10-20
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-global-configs on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get Global Configs

```http
GET /v1/global-config
```

Returns all Global Configs.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.globalConfig.getEdgeConfigs({
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
[
  {
    "createdAt": "123",
    "createdBy": "string",
    "digest": "string",
    "id": "icfg_1234567890",
    "itemCount": "123",
    "ownerId": "example_id",
    "sizeInBytes": "123",
    "slug": "string",
    "updatedAt": "123"
  }
]
```

## Responses

### 200: List of all Global Configs.

Content-Type: `application/json`

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "description": "A Global Config",
    "required": [
      "createdAt",
      "digest",
      "id",
      "itemCount",
      "ownerId",
      "sizeInBytes",
      "slug",
      "updatedAt"
    ],
    "properties": {
      "createdAt": {
        "type": "number"
      },
      "createdBy": {
        "type": "string",
        "description": "The ID of the user who created the Global Config, optional because it is not always set."
      },
      "digest": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "itemCount": {
        "type": "number"
      },
      "ownerId": {
        "type": "string"
      },
      "sizeInBytes": {
        "type": "number"
      },
      "slug": {
        "type": "string",
        "description": "Name for the Global Config Names are not unique. Must start with an alphabetic character and can contain only alphanumeric characters and underscores)."
      },
      "updatedAt": {
        "type": "number"
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [global-config endpoints](/docs/rest-api#global-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
